Subject: Re: [tcpm] Adopting RTO Restart

From: Anantha Ramaiah <[email-masked]>
Date: Tue, 11 Dec 2012 10:13:03 -0800

I had promised to send this email to the list as requested by the authors
earlier, but better late than never.

 would like to add something more, FWIW :-

I know that Cisco IOS  had the original scheme described in -00- version of
this draft for a long time, i.e,  RTO gets adjusted as described in the
draft without taking into account the retransmit queue or the flightsize.
 (I do not know the current situation now, but I suspect nothing would have
changed in this regard)

I support adoption this draft as a WG item and eventual publication of this.

thanks,
-Anantha

On Mon, Nov 12, 2012 at 6:01 AM, Pasi Sarolahti <[email-masked]>wrote:

> Hi,
>
> In the TCPM meeting last week there was a clear consensus for adopting RTO
> restart (draft-hurtig-tcpm-rtorestart-03) as a working group item, targeted
> for Experimental RFC. Here is a proposal for a new milestone item:
>
> Aug 2013  Submit document on restarting the RTO timer to the IESG for
> publication as an Experimental RFC
>
> Any comments or objections about the milestone?
>
> We discussed the issue of Std Track vs. Experimental a bit during the
> meeting, but did not have a clear consensus call on that. My reading of the
> discussion is that there would be room for experimentation to understand
> the effect that the proposed change might have on the likelihood of
> spurious RTOs. Therefore the proposed milestone currently is for
> Experimental. As discussed in the meeting, if during the progress it turns
> out that more experimentation is not necessary, we may, by WG consensus,
> change the intended status accordingly. Is this a fair plan for people?
>
> - Pasi
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>

---

From: Yuchung Cheng <[email-masked]>
Date: Tue, 11 Dec 2012 14:24:16 -0800

> I support adoption this draft as a WG item and eventual publication of this.
+1

I also suggest removing the constraint of small cwnd. just do it always.

>> discussion is that there would be room for experimentation to understand the
>> effect that the proposed change might have on the likelihood of spurious
>> RTOs. Therefore the proposed milestone currently is for Experimental. As
>> discussed in the meeting, if during the progress it turns out that more
>> experimentation is not necessary, we may, by WG consensus, change the
>> intended status accordingly. Is this a fair plan for people?
>>
>> - Pasi
>>